Skip to main content
POST
/
dev
/
v1
/
payments
Create payment
curl --request POST \
  --url https://api.shoppex.io/dev/v1/payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Pandabase Payment",
  "email": "buyer@example.com",
  "value": 24.99,
  "currency": "USD",
  "gateway": "PANDABASE",
  "return_url": "https://app.example.com/payments/success",
  "cancel_url": "https://app.example.com/payments/cancelled",
  "webhook": "https://app.example.com/webhooks/payments",
  "white_label": false
}
'
{
  "data": {
    "uniqid": "33333333-3333-4333-8333-333333333333",
    "url": "https://checkout.shoppex.io/invoice/33333333-3333-4333-8333-333333333333",
    "url_branded": "https://pay.example.com/invoice/33333333-3333-4333-8333-333333333333",
    "checkout_url": "https://secure.pandabase.io/pay/stores/store_1/sids/pb_session_3",
    "session_id": "pb_session_3",
    "total": 24.99,
    "currency": "USD",
    "status": "PENDING",
    "created_at": 1711510800
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Body

title
string
required
Required string length: 1 - 128
email
string<email>
required
value
number
required
Required range: x >= 0.01
currency
string
required
Required string length: 3
quantity
number
Required range: x >= 1
gateway
string
crypto_gateway
string
cryptoGateway
string
gateways
string[]
confirmations
number
Required range: x >= 1
webhook
string
return_url
string
cancel_url
string
white_label
boolean
custom_fields
object[]
customer_id
string
fraud_shield
object

Response

Successful response

data
object
required